# Copyright 2025 Juan Alberto Raja<juan.raja@sygel.es>
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).
from odoo import api, fields, models


class DocumentPageTag(models.Model):
    _inherit = "document.page.tag"

    is_printable = fields.Boolean(
        default=True,
        help="If unchecked, pages with this tag cannot be printed",
    )

    @api.model
    def create(self, vals):
        if "is_printable" not in vals:
            vals["is_printable"] = True
        return super().create(vals)
